Package org.jbpm.services.task.impl.model.xml

## Class JaxbAttachment

- java.lang.Object
- - org.jbpm.services.task.impl.model.xml.AbstractJaxbTaskObject<org.kie.api.task.model.Attachment>
  - - org.jbpm.services.task.impl.model.xml.JaxbAttachment

- All Implemented Interfaces:
    `Externalizable`, `Serializable`, `org.kie.api.task.model.Attachment`

      public class JaxbAttachment
      extends AbstractJaxbTaskObject<org.kie.api.task.model.Attachment>
      implements org.kie.api.task.model.Attachment

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class org.jbpm.services.task.impl.model.xml.AbstractJaxbTaskObject

      `realClass`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `JaxbAttachment()` |
    `JaxbAttachment​(org.kie.api.task.model.Attachment attachment)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Date` | `getAttachedAt()` |
    `org.kie.api.task.model.User` | `getAttachedBy()` |
    `String` | `getAttachedById()` |
    `long` | `getAttachmentContentId()` |
    `String` | `getContentType()` |
    `Long` | `getId()` |
    `String` | `getName()` |
    `int` | `getSize()` |

    - ### Methods inherited from class org.jbpm.services.task.impl.model.xml.AbstractJaxbTaskObject

      `convertListFromInterfaceToJaxbImpl, initialize, readExternal, writeExternal`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.io.Externalizable

      `readExternal, writeExternal`

- - ### Constructor Detail

    - #### JaxbAttachment

          public JaxbAttachment()

    - #### JaxbAttachment

          public JaxbAttachment​(org.kie.api.task.model.Attachment attachment)

  - ### Method Detail

    - #### getId

          public Long getId()

      Specified by:
        `getId` in interface `org.kie.api.task.model.Attachment`

    - #### getName

          public String getName()

      Specified by:
        `getName` in interface `org.kie.api.task.model.Attachment`

    - #### getContentType

          public String getContentType()

      Specified by:
        `getContentType` in interface `org.kie.api.task.model.Attachment`

    - #### getAttachedAt

          public Date getAttachedAt()

      Specified by:
        `getAttachedAt` in interface `org.kie.api.task.model.Attachment`

    - #### getAttachedBy

          public org.kie.api.task.model.User getAttachedBy()

      Specified by:
        `getAttachedBy` in interface `org.kie.api.task.model.Attachment`

    - #### getAttachedById

          public String getAttachedById()

    - #### getSize

          public int getSize()

      Specified by:
        `getSize` in interface `org.kie.api.task.model.Attachment`

    - #### getAttachmentContentId

          public long getAttachmentContentId()

      Specified by:
        `getAttachmentContentId` in interface `org.kie.api.task.model.Attachment`